#include "K36Spikes.h"
#include "EK36SpikesEventType.h"
#include "Components/SceneComponent.h"
#include "Components/StaticMeshComponent.h"

void AK36Spikes::SetSpikesVisibility(bool visibility, bool forced)
{

}

void AK36Spikes::PalletSpikesAppears()
{

}

void AK36Spikes::MoriSpikesAppears()
{

}

EK36SpikesEventType AK36Spikes::GetSpikesEventType() const
{
	return EK36SpikesEventType::None;
}

void AK36Spikes::GeneratorSpikesAppears()
{

}

void AK36Spikes::BreakablesSpikesAppears()
{

}

AK36Spikes::AK36Spikes()
{
	this->_rootComponent = CreateDefaultSubobject<USceneComponent>(TEXT("Root"));
	this->_staticMeshComponent = CreateDefaultSubobject<UStaticMeshComponent>(TEXT("StaticMesh"));
	this->_moriAttachSocket = TEXT("joint_WeaponLT_01");
}
